## NMSettingIP6Config NMSettingIP6Config |

## Functions

NMSetting * | nm_setting_ip6_config_new ()
NMSettingIP6ConfigPrivacy | nm_setting_ip6_config_get_ip6_privacy ()
NMSettingIP6ConfigAddrGenMode | nm_setting_ip6_config_get_addr_gen_mode ()
const char * | nm_setting_ip6_config_get_token ()
const char * | nm_setting_ip6_config_get_dhcp_duid ()
gint32 | nm_setting_ip6_config_get_ra_timeout ()

## Types and Values

#define | NM_SETTING_IP6_CONFIG_SETTING_NAME
#define | NM_SETTING_IP6_CONFIG_IP6_PRIVACY
#define | NM_SETTING_IP6_CONFIG_ADDR_GEN_MODE
#define | NM_SETTING_IP6_CONFIG_TOKEN
#define | NM_SETTING_IP6_CONFIG_DHCP_DUID
#define | NM_SETTING_IP6_CONFIG_RA_TIMEOUT
#define | NM_SETTING_IP6_CONFIG_METHOD_IGNORE
#define | NM_SETTING_IP6_CONFIG_METHOD_AUTO
#define | NM_SETTING_IP6_CONFIG_METHOD_DHCP
#define | NM_SETTING_IP6_CONFIG_METHOD_LINK_LOCAL
#define | NM_SETTING_IP6_CONFIG_METHOD_MANUAL
#define | NM_SETTING_IP6_CONFIG_METHOD_SHARED
#define | NM_SETTING_IP6_CONFIG_METHOD_DISABLED
enum | NMSettingIP6ConfigPrivacy
enum | NMSettingIP6ConfigAddrGenMode

## Object Hierarchy

        GEnum
        ├── NMSettingIP6ConfigAddrGenMode
        ╰── NMSettingIP6ConfigPrivacy

## Description

## Functions

### nm_setting_ip6_config_new ()

    NMSetting *
    nm_setting_ip6_config_new (void);

### nm_setting_ip6_config_get_ip6_privacy ()

    NMSettingIP6ConfigPrivacy
    nm_setting_ip6_config_get_ip6_privacy (NMSettingIP6Config *setting);

### nm_setting_ip6_config_get_addr_gen_mode ()

    NMSettingIP6ConfigAddrGenMode
    nm_setting_ip6_config_get_addr_gen_mode
                                   (NMSettingIP6Config *setting);

### nm_setting_ip6_config_get_token ()

    const char *
    nm_setting_ip6_config_get_token (NMSettingIP6Config *setting);

### nm_setting_ip6_config_get_dhcp_duid ()

    const char *
    nm_setting_ip6_config_get_dhcp_duid (NMSettingIP6Config *setting);

### nm_setting_ip6_config_get_ra_timeout ()

    gint32
    nm_setting_ip6_config_get_ra_timeout (NMSettingIP6Config *setting);

## Types and Values

### NM_SETTING_IP6_CONFIG_SETTING_NAME

    #define NM_SETTING_IP6_CONFIG_SETTING_NAME "ipv6"

### NM_SETTING_IP6_CONFIG_IP6_PRIVACY

    #define NM_SETTING_IP6_CONFIG_IP6_PRIVACY "ip6-privacy"

### NM_SETTING_IP6_CONFIG_ADDR_GEN_MODE

    #define NM_SETTING_IP6_CONFIG_ADDR_GEN_MODE "addr-gen-mode"

### NM_SETTING_IP6_CONFIG_TOKEN

    #define NM_SETTING_IP6_CONFIG_TOKEN "token"

### NM_SETTING_IP6_CONFIG_DHCP_DUID

    #define NM_SETTING_IP6_CONFIG_DHCP_DUID "dhcp-duid"

### NM_SETTING_IP6_CONFIG_RA_TIMEOUT

    #define NM_SETTING_IP6_CONFIG_RA_TIMEOUT "ra-timeout"

### NM_SETTING_IP6_CONFIG_METHOD_IGNORE

    #define NM_SETTING_IP6_CONFIG_METHOD_IGNORE "ignore"

IPv6 is not required or is handled by some other mechanism, and NetworkManager should not configure IPv6 for this connection.

### NM_SETTING_IP6_CONFIG_METHOD_AUTO

    #define NM_SETTING_IP6_CONFIG_METHOD_AUTO "auto"

IPv6 configuration should be automatically determined via a method appropriate for the hardware interface, ie router advertisements, DHCP, or PPP or some other device-specific manner.

### NM_SETTING_IP6_CONFIG_METHOD_DHCP

    #define NM_SETTING_IP6_CONFIG_METHOD_DHCP "dhcp"

IPv6 configuration should be automatically determined via DHCPv6 only and router advertisements should be ignored.

### NM_SETTING_IP6_CONFIG_METHOD_LINK_LOCAL

    #define NM_SETTING_IP6_CONFIG_METHOD_LINK_LOCAL "link-local"

IPv6 configuration should be automatically configured for link-local-only operation.

### NM_SETTING_IP6_CONFIG_METHOD_MANUAL

    #define NM_SETTING_IP6_CONFIG_METHOD_MANUAL "manual"

All necessary IPv6 configuration (addresses, prefix, DNS, etc) is specified in the setting's properties.

### NM_SETTING_IP6_CONFIG_METHOD_SHARED

    #define NM_SETTING_IP6_CONFIG_METHOD_SHARED "shared"

This connection specifies configuration that allows other computers to connect through it to the default network (usually the Internet). The connection's interface will be assigned a private address, and router advertisements, a caching DNS server, and Network Address Translation (NAT) functionality will be started on this connection's interface to allow other devices to connect through that interface to the default network. (not yet supported for IPv6)

### NM_SETTING_IP6_CONFIG_METHOD_DISABLED

    #define NM_SETTING_IP6_CONFIG_METHOD_DISABLED "disabled"

IPv6 is disabled for the connection.

Since: 1.20

### enum NMSettingIP6ConfigPrivacy

NMSettingIP6ConfigPrivacy values indicate if and how IPv6 Privacy Extensions are used (RFC4941).

#### Members

NM_SETTING_IP6_CONFIG_PRIVACY_UNKNOWN | unknown or no value specified |
NM_SETTING_IP6_CONFIG_PRIVACY_DISABLED | IPv6 Privacy Extensions are disabled |
NM_SETTING_IP6_CONFIG_PRIVACY_PREFER_PUBLIC_ADDR | IPv6 Privacy Extensions are enabled, but public addresses are preferred over temporary addresses |
NM_SETTING_IP6_CONFIG_PRIVACY_PREFER_TEMP_ADDR | IPv6 Privacy Extensions are enabled and temporary addresses are preferred over public addresses |

### enum NMSettingIP6ConfigAddrGenMode

NMSettingIP6ConfigAddrGenMode controls how the Interface Identifier for RFC4862 Stateless Address Autoconfiguration is created.

#### Members

NM_SETTING_IP6_CONFIG_ADDR_GEN_MODE_EUI64 | The Interface Identifier is derived from the interface hardware address. |
NM_SETTING_IP6_CONFIG_ADDR_GEN_MODE_STABLE_PRIVACY | The Interface Identifier is created by using a cryptographically secure hash of a secret host-specific key along with the connection identification and the network address as specified by RFC7217. |

Since: 1.2